diff --git a/src/main/conffile.c b/src/main/conffile.c
index f0da39ebc08..6a62e913280 100644
--- a/src/main/conffile.c
+++ b/src/main/conffile.c
@@ -1889,6 +1889,8 @@ int cf_section_parse(CONF_SECTION *cs, void *base,
 					   variables[i + 1].name);
 			}
 
+			if ((ret == -2) && check_config) continue;
+
 			goto error;
 		}
 	} /* for all variables in the configuration section */
